OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESDimen

# IGESDimen_LinearDimension Class Reference

defines LinearDimension, Type <216> Form <0>
in package IGESDimen
Used for linear dimensioning

`#include <IGESDimen_LinearDimension.hxx>`

Inheritance diagram for IGESDimen_LinearDimension:

[legend]

## Public Member Functions
Standard_EXPORT | IGESDimen_LinearDimension ()
Standard_EXPORT void | Init (const Handle(IGESDimen_GeneralNote)&aNote, const Handle(IGESDimen_LeaderArrow)&aLeader, const Handle(IGESDimen_LeaderArrow)&anotherLeader, const Handle(IGESDimen_WitnessLine)&aWitness, const Handle(IGESDimen_WitnessLine)&anotherWitness)
| This method is used to set the fields of the class LinearDimension - aNote : General Note Entity - aLeader : First Leader Entity - anotherLeader : Second Leader Entity - aWitness : First Witness Line Entity or a Null Handle - anotherWitness : Second Witness Line Entity or a Null Handle .
Standard_EXPORT void | SetFormNumber (const Standard_Integer form)
| Changes FormNumber (indicates the Nature of the Dimension Unspecified, Diameter or Radius) Error if not in range [0-2] .
Standard_EXPORT Handle_IGESDimen_GeneralNote | Note () const
| returns General Note Entity
Standard_EXPORT Handle_IGESDimen_LeaderArrow | FirstLeader () const
| returns first Leader Entity
Standard_EXPORT Handle_IGESDimen_LeaderArrow | SecondLeader () const
| returns second Leader Entity
Standard_EXPORT Standard_Boolean | HasFirstWitness () const
| returns False if no first witness line
Standard_EXPORT Handle_IGESDimen_WitnessLine | FirstWitness () const
| returns first Witness Line Entity or a Null Handle
Standard_EXPORT Standard_Boolean | HasSecondWitness () const
| returns False if no second witness line
Standard_EXPORT Handle_IGESDimen_WitnessLine | SecondWitness () const
| returns second Witness Line Entity or a Null Handle
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESDimen_GeneralNote | theNote
Handle_IGESDimen_LeaderArrow | theFirstLeader
Handle_IGESDimen_LeaderArrow | theSecondLeader
Handle_IGESDimen_WitnessLine | theFirstWitness
Handle_IGESDimen_WitnessLine | theSecondWitness

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_LinearDimension::IGESDimen_LinearDimension | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESDimen_LeaderArrow IGESDimen_LinearDimension::FirstLeader | ( |  | ) | const

Standard_EXPORT Handle_IGESDimen_WitnessLine IGESDimen_LinearDimension::FirstWitness | ( |  | ) | const

Standard_EXPORT const IGESDimen_LinearDimension::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT Standard_Boolean IGESDimen_LinearDimension::HasFirstWitness | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESDimen_LinearDimension::HasSecondWitness | ( |  | ) | const

Standard_EXPORT void IGESDimen_LinearDimension::Init | ( | const Handle(IGESDimen_GeneralNote)& | aNote,
|  | const Handle(IGESDimen_LeaderArrow)& | aLeader,
|  | const Handle(IGESDimen_LeaderArrow)& | anotherLeader,
|  | const Handle(IGESDimen_WitnessLine)& | aWitness,
|  | const Handle(IGESDimen_WitnessLine)& | anotherWitness
| ) |

Standard_EXPORT Handle_IGESDimen_GeneralNote IGESDimen_LinearDimension::Note | ( |  | ) | const

Standard_EXPORT Handle_IGESDimen_LeaderArrow IGESDimen_LinearDimension::SecondLeader | ( |  | ) | const

Standard_EXPORT Handle_IGESDimen_WitnessLine IGESDimen_LinearDimension::SecondWitness | ( |  | ) | const

Standard_EXPORT void IGESDimen_LinearDimension::SetFormNumber | ( | const Standard_Integer | form | ) |

## Field Documentation

Handle_IGESDimen_LeaderArrow IGESDimen_LinearDimension::theFirstLeader`[private]`

Handle_IGESDimen_WitnessLine IGESDimen_LinearDimension::theFirstWitness`[private]`

Handle_IGESDimen_GeneralNote IGESDimen_LinearDimension::theNote`[private]`

Handle_IGESDimen_LeaderArrow IGESDimen_LinearDimension::theSecondLeader`[private]`

Handle_IGESDimen_WitnessLine IGESDimen_LinearDimension::theSecondWitness`[private]`

The documentation for this class was generated from the following file:

- IGESDimen_LinearDimension.hxx